
// Las clases del paquete GP
   import GP.*;

/**
 * Esta clase, al evaluarse, devuelve la division cerrada de sus subnodos.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public class floatDiv extends floatAtom {


   // Constructor
      public floatDiv () {
      
         this.operandos = new Funcional[2];
      }

   // Clongale
      public Object clone () {
         floatDiv clon;

         clon = new floatDiv();
         clon.operandos[ 0 ] = (Funcional) this.operandos[ 0 ].clone();
         clon.operandos[ 1 ] = (Funcional) this.operandos[ 1 ].clone();

         return clon;
      }

   /**
    * Evalua ambos subnodos y dividelos.<BR>
    *
    * @return p1.<B>eval()</B> * p2.<B>eval()</B>.<BR> */
      public final float eval(Individuo sujeto, Object Ambiente) {

      // El divisor
         float divisor = ((floatAtom) operandos[1]).eval( sujeto, Ambiente );

      // No dividimos entre cero
         if ( divisor != 0 )
            return ((floatAtom) operandos[0]).eval(sujeto,Ambiente) / divisor;
         else
            return 0f;
      }


   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "floatDiv(p1.<B>toString()</B>, p2.<B>toString()</B>)".<BR> */
      public final String toString() {
         String str = new String("floatDiv(");

         str = str.concat( operandos[0] == null ?
                           "null" : operandos[0].toString() );
         str = str.concat(", ");
         str = str.concat( operandos[1] == null ?
                           "null" : operandos[1].toString() );
         str = str.concat(")");

         return str.toString();
      }
   }

