
// Las clases del paquete GP
   import GP.*;

/**
 * Esta clase, al evaluarse, devuelve la resta de sus subnodos.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public class floatSub extends floatAtom {


   // Constructor
      public floatSub () {
      
         this.operandos = new Funcional[2];
      }

   // Clongale
      public Object clone () {
         floatSub clon;

         clon = new floatSub();
         clon.operandos[ 0 ] = (Funcional) this.operandos[ 0 ].clone();
         clon.operandos[ 1 ] = (Funcional) this.operandos[ 1 ].clone();

         return clon;
      }

   /**
    * Evalua ambos subnodos y sumalos.<BR>
    *
    * @return p1.<B>eval()</B> + p2.<B>eval()</B>.<BR> */
      public final float eval(Individuo sujeto, Object Ambiente) {
         return ((floatAtom) operandos[0]).eval(sujeto,Ambiente) -
                ((floatAtom) operandos[1]).eval(sujeto,Ambiente);
      }


   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "floatSub(p1.<B>toString()</B>, p2.<B>toString()</B>)".<BR> */
      public final String toString() {
         String str = new String("floatSub(");

         str = str.concat( operandos[0] == null ?
                           "null" : operandos[0].toString() );
         str = str.concat(", ");
         str = str.concat( operandos[1] == null ?
                           "null" : operandos[1].toString() );
         str = str.concat(")");

         return str.toString();
      }
   }

