
// Las clases del paquete GP
   import GP.*;

/**
 * Regresa el valor de un flotante del ambiente.<BR>
 *
 * Extiende a la clase floatAtom como modelo generico de un atomo
 * para un arbol de funciones para programacion genetica.<BR>
 *
 * La clase es terminal, por lo tanto, <B>nParam()</B> devuelve cero,
 * <B>setParam()</B> no hace nada, y <B>getParam()</B> devuelve
 * <B>null</B>, <B>Eval()</B> realmente no usa a <B>Ambiente</B>.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public class floatX extends floatAtom {

   // Constructor
      public floatX () {
      }

   // Clongale
      public Object clone () {
         return new floatX();
      }

   /**
    * @return <B>(float)0</B>.<BR> */
      public final float eval(Individuo sujeto, Object ambiente) {
         return ((Float)ambiente).floatValue();
      }

   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "floatFloat".<BR> */
      public final String toString() {
         return "x";
      }
   }

