
// Parte del paquete de GP
   package GP;

/**
 * Implementa los funcionales terminales
 * utilizados como 'place holders' en una ADFStru.<BR>
 *
 * @author Antonio Pena
 * @version jun-1997
 */
   public class ArgADF extends Funcional {

   /**
    * Expresa el numero de argumento de la ADF que representa.<BR> */
      protected int    narg;



   /**
    * Un constructor vacio.<BR> */
      public ArgADF() { }



   /**
    * Genera una copia de el argumento.<BR> */
      public Object clone() {
         ArgADF clon  = new ArgADF();

         clon.narg    = this.narg;

         return clon;
      }


   /**
    * Especifica el numero de argumento que debe reemplazarse en
    * su lugar.<BR> */
      public int getNArg() { return this.narg; }


   /**
    * Permite fijar el numero de argumento de la ADF al cual
    * representa.<BR> */
      public void setNArg( int n ) { this.narg = n; }
 

   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "Arg<B>n</B>".<BR> */
      public String toString() {
         return "Arg" + this.narg;
      }
   }

