
// Las clases del paquete de GP
   import GP.*;

/**
 * <B>hnNodo</B> es una clase abstracta que extiende a
 * la clase <B>GP.Funcional</B> para derivar funcionales
 * que operen sobre un tablero de torres de Hanoi.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public abstract class hnNodo extends GP.Funcional {

   /**
    * El metodo <B>eval</B> debera ser definido por las
    * subclases de <B>hnNodo</B>.<BR>
    *
    * @returns El tipo devuelto debe ser una referencia
    *          (posiblemente nula) a uno de los postes
    *          del tablero del ambiente del problema.<BR> */
      public abstract hnPoste   eval( GP.Individuo sujeto,
                                      Object       ambiente );
      public abstract String    toString();
   }

