
// Las clases del paquete GP
   import GP.*;

// Esto es la corrida del problema
//


// Inicio

   public class StartCubica {

   // La especificacion de la especie para la poblacion
      static Especie    especie;


   // Las clases de funcionales terminales del arbol de programa
      static String[] t_rpb = { "float0", "float1", "float2",
                                "float3", "float5", "float10",
                                "floatX" };

   // Las clases de funcionales no terminales del arbol de programa
      static String[] nt_rpb = { "floatPlus", "floatSub",
                                 "floatMult", "floatDiv" };

   // Fija los parametros de inicio
      public static int        seed = 1;
      public static int        nInd = 500;
      public static int        deep = 4;
      public static int    max_deep = 6;
      public static boolean balance = true;
      

   // Fija los parametros de la corrida del motor 
      public static int        nGen = 100;
      public static int      g_size = 1;
      public static int   max_train = 1;
      public static float    pcruza = (float)0.8;
      public static float  mutacion = (float)0.2;
      public static float  reproduc = (float)0.0;

   // Haz el arranque
      public static void main( String[] argv )
       throws ClassNotFoundException,
              InstantiationException,
              IllegalAccessException
      {

         Cubica.init();
      // Crea la especificacion de la especie
         especie = new Especie( "Cubica",
                                balance, deep, max_deep, t_rpb, nt_rpb );

      // Crea el motor 
         seed = (int)(Math.random() * 2147483647);
         System.out.println("Run seed: " + seed);
         Motor m = new Motor( seed, nInd, especie, "HRAMP" );

      // Arranca el motor
         m.run( nGen, g_size,
                pcruza, mutacion, reproduc,
                "Cubica", max_train );
      }
   }

