
// Las clases del paquete GP
   import GP.*;

/**
 * Clase para representar un 0 (cero) en flotante.<BR>
 *
 * Extiende a la clase floatAtom como modelo generico de un atomo
 * para un arbol de funciones para programacion genetica.<BR>
 *
 * La clase es terminal, por lo tanto, <B>nParam()</B> devuelve cero,
 * <B>setParam()</B> no hace nada, y <B>getParam()</B> devuelve
 * <B>null</B>, <B>Eval()</B> realmente no usa a <B>Ambiente</B>.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public class float0 extends floatAtom {

   // Constructor
      public float0 () {
      }

   // Clongale
      public Object clone () {
         return new float0();
      }

   /**
    * @return <B>(float)0</B>.<BR> */
      public final float eval(Individuo sujeto, Object ambiente) {
         return 0f;
      }

   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "0".<BR> */
      public final String toString() {
         return "0";
      }
   }

