
// Las clases del paquete GP
   import GP.*;

/**
 * Clase para representar un 1 (uno) en flotante.<BR>
 *
 * Extiende a la clase floatAtom como modelo generico de un atomo
 * para un arbol de funciones para programacion genetica.<BR>
 *
 * La clase es terminal, por lo tanto, <B>nParam()</B> devuelve cero,
 * <B>setParam()</B> no hace nada, y <B>getParam()</B> devuelve
 * <B>null</B>, <B>Eval()</B> realmente no usa a <B>Ambiente</B>.<BR>
 *
 * @author Antonio Pena
 * @version jul-1997
 */
   public class float1 extends floatAtom {

   // Constructor
      public float1 () {
      }

   // Clongale
      public Object clone () {
         return new float1();
      }

   /**
    * @return <B>(float)1</B>.<BR> */
      public final float eval(Individuo sujeto, Object ambiente) {
         return 1f;
      }

   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "1".<BR> */
      public final String toString() {
         return "1";
      }
   }

