
// Parte del paquete de GP
   package GP;

/**
 * La interfaz <B>Ordenable</B> debe ser implementada por
 * aquellas clases que deseen tener la posibilidad de ser
 * ordenadas por algoritmos de la clase <B>Sort</B>.<BR>
 *
 * @author Antonio Pena
 * @version jun-1997
 *
 * @see Sort
 */
   public interface Ordenable {

   /**
    * El metodo <B>orden</B> debe comparar la instancia de
    * invocacion contra el parametro suministrado.<BR>
    *
    * @return <B>orden()</B> < 0 si <B>this</B>  < Parametro.<BR>
              <B>orden()</B> = 0 si <B>this</B> == Parametro.<BR>
              <B>orden()</B> > 0 si <B>this</B>  > Parametro.<BR> */
      public int orden( Ordenable cmp );
   }

