
// Las clases del paquete de GP
   import GP.*;

/**
 * Este funcional devuelve una referencia al poste que
 * contiene la pieza mas pequena del tablero.<BR>
 *
 * @author Antonio Pena
 * @version may-1997
 */
   public class hnMinimo extends hnNodo {

   // Constructor
      public hnMinimo () { }

   // Clongale
      public Object clone () { return new hnMinimo(); }


   /**
    * Devuelve una referencia al poste que
    * contiene la pieza mas pequena del tablero.<BR>
    *
    * @param ambiente
    *    Interpreta el parametro como una instancia de la
    *    clase <B>hnAmbiente</B>.<BR> */
      public final hnPoste eval( Individuo sujeto, Object ambiente ) {
         hnPoste po_menor = null;
         hnPieza pz_menor = null;

      // Los postes del tablero origen
         hnPoste[] postes = ((hnAmbiente) ambiente).origen.postes;

      // Busca el poste con la pieza mas pequena
         for (int i=0; i<postes.length; i++) {
            if ( postes[ i ].vacio() )   continue;

            if ( pz_menor == null
              || pz_menor.compareTo( postes[ i ].piezaSup() ) > 0 ) {
               po_menor = postes[ i ];
               pz_menor = postes[ i ].piezaSup();
            }
         }

         return po_menor;
      }


   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "Minimo".<BR> */
      public final String toString() {
         return "Minimo";
      }
   }

