
// Las clases del paquete de GP
   import GP.*;

/**
 * Este funcional devuelve una referencia al ultimo poste modificado
 * por una operacion sobre el tablero de torres de Hanoi.<BR>
 *
 * @author Antonio Pena
 * @version may-1997
 */
   public class hnUltimo extends hnNodo {

   // Constructor
      public hnUltimo () { }

   // Clongale
      public Object clone () { return new hnUltimo(); }


   /**
    * Devuelve una referencia al ultimo poste modificado
    * sobre el tablero origen del ambiente.<BR>
    *
    * @param ambiente
    *    Interpreta el parametro como una instancia de la
    *    clase <B>hnAmbiente</B>.<BR> */
      public final hnPoste eval( Individuo sujeto, Object ambiente ) {
         return ((hnAmbiente) ambiente).origen.ultimo;
      }


   /**
    * Devuelve una representacion <B>String</B> del funcional.<BR>
    *
    * @return "Ultimo".<BR> */
      public final String toString() {
         return "Ultimo";
      }
   }

